<div class="dropup" (blur)="isOpen = false">
  <div class="dropdown" dropdown insideClick="true" [autoClose]="false" [(isOpen)]="isOpen">
    <button *ngIf="selectTime" class="btn btn-secondary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true"
            aria-expanded="false" dropdownToggle (click)="false">
      <span *ngIf="selectTime.type !== 'between'">
        {{'common.' + selectTime.type | translate : {value: selectTime.value} }}
      </span>
      <span *ngIf="selectTime.type === 'between'">
        {{selectTime.label}}
      </span>
    </button>
    <!--<button *ngIf="!selectTime || selectTime.type === 'between'" class="btn btn-secondary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" dropdownToggle (click)="false">-->
    <!--{{dateFrom + ' ~ ' + dateTo}}-->
    <!--</button>-->
    <div class="dropdown-menu pr-0 period-menu" *dropdownMenu aria-labelledby="simple-dropdown"
         style="min-width: 400px">
      <div class="dropdown-item" *ngFor="let i of selectTimeOption" (click)="selectTimeInterval(i);isOpen = false">
        {{'common.' + i.type | translate : {value: i.value} }}
      </div>
      <div class="dropdown-item" >
        <div class="input-group">
          <input
            class="form-control input-icons input-field form-control" style="display: inline; max-width: 350px"
            [owlDateTime]="dt1"
            [selectMode]="'range'"
            [(ngModel)]="dateRange"
            (ngModelChange)="dateRangeChange.emit($event);"
            [placeholder]="'resource.enter_date_range' | translate"
          >
          <div class="input-group-append">
            <span class="btn btn-dark text-center" style="margin: 0" [owlDateTimeTrigger]="dt1">
              <i class="fa fa-calendar" style="margin: 0 auto"></i>
            </span>
          </div>
        </div>
        <owl-date-time #dt1 (afterPickerClosed)="selectTimeRange();isOpen = false"></owl-date-time>
      </div>
    </div>
  </div>
</div>
